gogglesmm(1)

NAME
gogglesmm - Goggles Music Manager

SYNOPSIS
gogglesmm [options] [file]

INTRODUCTION
Goggles Music Manager is a easy to use music manager and player for the Linux desktop. It comes with a podcast manager to download and/or play podcasts from the internet. Music tracks can be organized in various ways using play lists and custom filters. The buildin tag editor allows for easy editing tags in files, including adding album art and lyrics.

OPTIONS
General Options

-h, --help
    Display list of options

-v, --version
    Display version information

Startup Options

--tray
    Start minimized to tray

--disable-opengl
    Disables opengl based features

Playback Control

--play
    Start playback

--pause
    Pause playback

--play-pause
    Toggle pause / playback.

--previous
    Play previous track

--next
    Play next track

--stop
    Stop playback

Misc Options

--toggle-shown
    Show or Hide the main window

--raise
    Try to raise the main window

--now-playing
    Show now playing notification

--update-podcasts
    Refresh podcast feeds

KEYBOARD SHORTCUTS

Ctrl-N
    Reset default sorting order in current view.

Ctrl-R
    Shuffle track list.

Ctrl-B
    Toggles browse mode on or off.

Ctrl-T
    Toggles Tag list in browse mode.

Ctrl-Q
    Quit Goggles Music Manager.

Ctrl-O
    Import files from given directory.

Ctrl-J
    Jump to playing song in track list.

Ctrl-F or /
    Find

Ctrl-S
    Show source browser

Ctrl-P
    Start / Pause playback.

Ctrl-\
    Stop playback.

Ctrl-Shift-\
    Stop playback at the end of track.

Ctrl-[
    Play previous track.

Ctrl-]
    Play next track.

Ctrl-,
    Repeat Off

Ctrl-.
    Repeat Track

Ctrl-/
    Repeat All

Ctrl-A
    Select All in lists.

Ctrl-W
    Close Window

F11 or Ctrl-M
    Toggle between mini player and browser.

F12 Show Full Screen.

F2  Edit selected track, album, artist or tag.

Del Delete selected track, album, artist or tag.

MULTIMEDIA KEYS

Multimedia keys are supported using the GNOME Settings Daemon (requires dbus) or directly registered with the Xorg Display Server. The latter may not always work if multiple running applications are registering the same key. For both cases the following operations are permitted:

'play' or 'pause' / XF86AudioPlay or XF86AudioPause
    Start / Pause playback.

'stop' / XF86AudioStop
    Stop playback.

'next' / XF86AudioNext
    Play previous track.

'prev' / XF86AudioPrev
    Play next track.

UTILITIES

/usr/share/gogglesmm/utils/import_gogglesmm12.py
    Import gogglesmm v0.12 radio stations into the music database. It also exports all playlists into m3u files from the old database. These may be imported into gogglesmm to recreate the playlists in the new version.

/usr/share/gogglesmm/utils/import_gogglesmm12_stats.py
    Import gogglesmm v0.12 play statistics (count and date). This should be run after all files have been imported into gogglesmm.

/usr/share/gogglesmm/utils/import_banshee_stats.py
    Import banshee play statistics (count,date and rating). This should be run after all files have been imported into gogglesmm.

FILES

$(XDG_DATA_HOME)/gogglesmm/goggles.db
    Music Database

$(XDG_DATA_HOME)/gogglesmm/filters.db
    Filter Database

$(XDG_DATA_HOME)/gogglesmm/podcasts
    Downloaded Podcasts

$(XDG_CONFIG_HOME)/gogglesmm/settings.rc
    settings

$(XDG_CACHE_HOME)/gogglesmm/albumcovers.cache
    Album cover cache

$(XDG_CACHE_HOME)/gogglesmm/icontheme.cache
    Icon theme cache

$(XDG_CACHE_HOME)/gogglesmm/scrobbler.cache
    Audio scrobbler cache

AUTHOR
Sander Jansen <s.jansen@gmail.com>